Summary:	Very fast image viewer for X Window
Summary(pl.UTF-8):	Bardzo szybka przeglądarka plików graficznych dla X Window
Name:		qiv
Version:	2.3.1
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://spiegl.de/qiv/download/%{name}-%{version}.tgz
# Source0-md5:	93aea7469be64ebd35277a6dac079fc8
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		non-24bit.patch
URL:		http://spiegl.de/qiv/
BuildRequires:	gtk+2-devel
BuildRequires:	imlib2-devel
BuildRequires:	lcms2-devel
BuildRequires:	libexif-devel
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXext-devel
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib
image viewer. Features include zoom, maxpect, scale down, fullscreen,
brightness/contrast/gamma correction, slideshow, flip
horizontal/vertical, rotate left/right, delete (move to .qiv-trash/),
jump to image x, jump forward/backward x images, filename filer and
you can use qiv to set your X11-Desktop background.

%description -l pl.UTF-8
Quick Image Viewer (qiv) jest bardzo małym i całkiem szybkim programem
do przeglądania plików graficznych, wykorzystującym biblioteki
GDK/Imlib.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fcaller-saves -ffast-math -fno-strength-reduce -fthread-jumps"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

install -p %{name} $RPM_BUILD_ROOT%{_bindir}
cp -p %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files
%defattr(644,root,root,755)
%doc Changelog README README.TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qiv.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 874ca25
- convert inline edit to patch. refs d6e748b

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 36e0006
- update desktop database

* Sun Aug 09 2015 Tomasz Pala <gotar@pld-linux.org> d6e748b
- fixed missing image on non-24bit displays

* Sun Aug 09 2015 Tomasz Pala <gotar@pld-linux.org> 104b168
- get rid of patching things that could and should be done inline

* Sun Aug 09 2015 Tomasz Pala <gotar@pld-linux.org> 5720b1e
- upgraded to 2.3.1

* Wed Feb 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1cc5b92
- updated to 2.2.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3f8aa0b
- dropped pre-cvs changelog

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 0858e3a
- BR: xorg-lib-libXinerama-devel

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 9cc8ca1
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed May 16 2007 Tomasz Pala <gotar@pld-linux.org> e0afbac
- upgraded to 2.1-pre12

* Wed May 16 2007 Tomasz Pala <gotar@pld-linux.org> bbbc3d5
- updated to 2.1-pre12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ed26c25
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d9c9b70
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 76a8c80
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> f752386
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sun May 21 2006 Adam Gołębiowski <adamg@pld-linux.org> ed8afad
- pass CC

* Mon Sep 20 2004 ankry <ankry@pld-linux.org> bc97508
- +GTK in Categories

* Mon Aug 30 2004 dzeus <dzeus@pld-linux.org> b1c36cc
- updated

* Mon Aug 30 2004 dzeus <dzeus@pld-linux.org> 35d176b
- updated to 2.0

* Tue Feb 10 2004 ankry <ankry@pld-linux.org> e504568
- missung ';'

